import * as React from 'react';
import { ISearchOptions } from '@finder-stack/client-core';
export declare type IFinderWidgetOwnProps = {
    theme?: any;
    styles?: any;
    onSearch: () => any;
};
export declare type IFinderWidgetStateProps = {
    searchOptions?: ISearchOptions;
};
export declare type IFinderWidgetDispatchProps = {
    setError?: (error: string, type: string) => any;
    setSearchOptions?: (options: any) => any;
};
export declare type IFinderWidgetProps = IFinderWidgetOwnProps & IFinderWidgetStateProps & IFinderWidgetDispatchProps;
export declare class FinderWidgetComponent extends React.Component<IFinderWidgetProps, {}> {
    private containerRef;
    constructor(props: IFinderWidgetProps);
    private keyDown;
    private setExpand;
    private changeSearch;
    private changeReplace;
    render(): JSX.Element;
}
